//=========  Bin  ====================================================
export class BinListSearchEntity {
  areaId!: string;
  warehouseId!: string;
  binName!: string;
  binSize!: string;
  storageId!: string;
  binProperty!: string;
  searchBeginTime!: string;
  searchEndTime!: string;
}
export class AddOrEditFormData {
  id!: string;
  areaId!: string;
  warehouseId!: string;
  binName!: string;
  binSize!: string;
  storageId!: string;
  binProperty!: string;
}
export class BatchAddFormData {
  prefixName!: string;
  suffixName!: string;
  maxNumber!: string;
  minNumber!: string;
  areaId!: string;
  warehouseId!: string;
  binName!: string;
  binSize!: string;
  storageId!: string;
  binProperty!: string;
}

//=========  BinSize  ================================================
export class BinSizeSearchEntity {
  size!: string;
  searchBeginTime!: string;
  searchEndTime!: string;
}
export class BinSizeAddOrEditForm {
  id!: string;
  size!: string;
}

//=========  containner  ==============================================
export class ContainerSearchEntity {
  containerName!: string;
  containerStatus!: string;
  containerType!: string;
}

export class ContainerAddOrEditForm {
  id!: string;
  containerName!: string;
  containerStatus!: number;
  containerRemark!: string;
  typeId!: string;
  warehouseId!: string;
  areaId!: string;
  binId!: string;
}
