export class MoveSearchEntity {
  warehouseId!: string;
  code!: string; // 移库单编号
  transferType!: number; // 1：调拨(库位变动)  2：转换(库位不变)
  status!: number; // 状态: 0：草稿单 1：未开始 2：准备中 3：调拨中 4：待上架 5：已完成
  moveType!: string; // 移动类型
  searchBeginTime!: string; // 查询开始时间
  searchEndTime!: string; // 查询结束时间
}

export class TransferDetailSearchEntity {
  code!: string; // 调拨单编号
  transferId!: string; // 移库单ID
  transferType!: number;
  status!: number; // 状态: 0：草稿单 1：未开始 2：准备中 3：调拨中 4：待上架 5：已完成
  searchBeginTime!: string; // 查询开始时间
  searchEndTime!: string; // 查询结束时间
}

// 用于调拨 查询销售订单号
export class TransferDetailMarketSearchEntity {
  materialId!: string; // 物料id
  warehouseId!: string; // 工厂id
  marketCode!: string; // 销售订单号
}
