import { type } from 'os';


export const icons = {
    'menu': 'textIcon menu',
    'home': 'textIcon home',
    'search': 'textIcon search',
    'useHead': 'textIcon useHead',
    'remind': 'textIcon remind',
    'close': 'textIcon close',
    'dropDown':'textIcon dropDown',
    'folder':'textIcon folder',
    'delete':'textIcon delete',
    'edit':'textIcon edit',
    'dict':'textIcon dict',
    'log':'textIcon log',
    'ballot':'textIcon ballot',
    'add':'textIcon add'

}
export type iconNames = 'menu' | 'home' | 'search' | 'remind'|'useHead'|'close'|'dropDown'|'folder'|'delete'|'edit'|'log'|'ballot'|'add';
export const heads = {
    'icon': 'icon',
    'img': 'img'
}
export type headTypes = 'icon' | 'img';
export const buttons={
    'iconBtn':'iconBtn',
    'menuBtn':'menuBtn'
}
export type btnTypes='iconBtn'|'menuBtn';
export type taskDateItem={

    taskType:string | undefined;
    taskContent:string | undefined;
    taskState:string | undefined;
    taskcrownBlock:string | undefined;
    taskTime:string | undefined;
}
export type tasks=taskDateItem[];
type pathKey=Record<string,any>;
export const commponentPath:pathKey={
    index:()=>import('layouts/MainLayout.vue'),
    web_index:()=>import('src/pages/task/automatic/index.vue'),
    dictTab:()=>import('pages/dicts/dictTab.vue'),
    dictType:()=>import('pages/dicts/typeList/index.vue'),
    dictData:()=>import('pages/dicts/dataList/index.vue'),
    // userTab:()=>import('pages/user/userTab.vue'),
    userList:()=>import('src/pages/user/userList/index.vue'),
    roleList:()=>import('src/pages/user/roleList/index.vue'),
    // logTab:()=>import('pages/log/logTab.vue'),
    logininforList:()=>import('pages/log/logininforList/index.vue'),
    operlogList:()=>import('pages/log/operlogList/index.vue'),
    // menuTab:()=>import('pages/permission/menuTab.vue'),
    menuList:()=>import('src/pages/permission/menuList/index.vue'),
    storageTab:()=>import('pages/storage/storageTab.vue'),
    storageList:()=>import('pages/storage/sorageList/index.vue'),
    scadaList: ()=> import('src/pages/scada/index.vue'),
    测试: ()=> import('src/pages/task/automatic/index.vue')
}
// export type routerType={
//     path:string,
//     menuName:string,
//     icon:string|undefined,
//     redirect:string|undefined,
//     children:Array<routerType>|undefined
// }

export interface cBDateItem{
    title:string,
    content:string|undefined|boolean|cBDateItems,
    isSingle:boolean
}
export type cBDateItems=cBDateItem[];


