declare namespace Common {
  interface pageResult<T> {
    sortBy: string;
    descending: boolean;
    page: number;
    rowsPerPage: number;
    rowsNumber: number;
    dataList: T[];
  }

  interface cpageResult<T> {
    currentPage: number;
    totalPages: number;
    pageSize: number;
    totalCount: number;
    currentCount: number;
    hasPrev: boolean;
    hasNext: boolean;
    data: T[];
  }

  interface result<T> {
    errorCode: string;
    success: boolean;
    errorMessage: number;
    data: T;
  }
}
