// PLC控制器
export class DeivceSearchEntity {
  deviceCode!: string;
  deviceName!: string;
  activated!: boolean;
}

// PLC控制器
export class DeivceEntity {
  id!: string;
  deviceCode!: string; // 控制器编号
  deviceName!: string; // 控制器名称
  activated!: boolean; // 控制器状态,1：启用，0：停用
  protocol!: string; // 控制器类型
  host!: string; // 控制器主机地址
  port!: number; // 控制器主机端口
  remark!: string; // 备注
  isConnected!: boolean; // 设备连接状态
}

// PLC控制器点位
export class DeivcePointSearchEntity {
  deviceId!: string;
  deviceCode!: string;
  deviceName!: string;
  equipmentName!: string;
  equipmentCode!: string;
  equipmentType!: string;
  pointCode!: string;
  pointName!: string;
  activated!: boolean;
}

// PLC控制器点位
export class DeivcePointEntity {
  id!: string;
  deviceId!: string;
  deviceCode!: string;
  deviceName!: string;
  equipmentId!: string;
  equipmentCode!: string;
  equipmentName!: string;
  equipmentType!: string;
  actionType!: string;
  pointCode!: string;
  pointName!: string;
  address!: string;
  dataType!: string;
  activated!: boolean;
  remark!: string;
  objectValue!: string;
}
