export class EquipmentRecord {
  equipmentId!: string;
  equipmentName!: string;
  equipmentCode!: string;
  equipmentType!: string;
  begTime!: string;
  endTime!: string;
}

export class EquipmentNoTimeRecord {
  equipmentName!: string;
  equipmentCode!: string;
  equipmentType!: string;
  begTime!: string;
  endTime!: string;
}

export class EquipmentOEE {
  equipmentId!: string;
  begDate!: string;
  endDate!: string;
}

export class EquipmentOEEEntity {
  totalRunningTime!: string; // 总运行时间
  totalAlarmTime!: string; // 总报警时间
  totalStopTime!: string; // 总待机时间
  oee!: string;// OEE时序
}
