/* eslint-disable */

declare namespace NodeJS {
  interface ProcessEnv {
    NODE_ENV: string;
    VUE_ROUTER_MODE: 'hash' | 'history' | 'abstract' | undefined;
    VUE_ROUTER_BASE: string | undefined;
  }
}

type menuType = {
  path: string;
  name: string;
  component: any;
  menuName: string;
  status: number;
  type: string;
  icon: string | undefined;
  redirect: string | undefined;
  children: Array<menuType> | undefined;
};
type menuInfoType = {
  id: string;
  path: string;
  component: string;
  menuName: string;
  status: number;
  icon: string | undefined;
  redirect: string | undefined;
  orders: string;
  type: number;
  name: string;
  children: Array<menuInfoType> | undefined;
};
type menuItemType = {
  id: string | undefined;
  parentId: string | undefined;
  path: string;
  component: string;
  pathName: string;
  menuName: string;
  status: number;
  type: string;
  icon: string | undefined;
  redirect: string | undefined;
  orders: string;
  name: string;
};
